it-swarm-ja.com

APTでパッケージをインストールしようとしているときに「パッケージが見つかりません」

コマンドラインからパッケージをインストールしようとすると、エラーが発生します。

$ Sudo apt-get install <package>
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package <package>

誰もこれで私を助けることができますか?

201
CodeGeeky

最初に、パッケージが実際に存在するかどうかを確認します。

  1. Webブラウザで packages.ubuntu.com に移動します。
  2. 「パッケージディレクトリの検索」までスクロールします
  3. 「キーワード」フィールドにインストールしようとしているパッケージを入力します。

    [完全一致のみを表示]を有効にします。

    「配布」を使用しているUbuntuのバージョンに変更します。

    enter image description here

結果がない場合、探しているパッケージは存在せず、次のステップは機能しません。サードパーティのPPAまたは別のインストール方法が必要になる場合があります。

結果が見つかった場合、パッケージが存在し、これらを続行できます手順:

  1. ダッシュで検索して、Software Sources(またはSoftware&Updatesin 13.04+)を開きます。
  2. 「Ubuntu Software」タブを開きます。
  3. このタブの最初の4つのチェックボックスが有効になっていることを確認します。

    enter image description here

  4. パッケージリストを更新してから、次のコマンドでテストします。

     sudo apt-get update 
     sudo apt-get install <TEST_PACKAGE>
149
kiri

このトピックについて多くの questions があります。ここで、基本的/一般的な答えを提供します。

apt-get installがパッケージを見つけられない場合、インストールしたいパッケージが、追加したリポジトリ(/etc/apt/sources.listおよび/etc/apt/sources.list.d/の下にある)で見つかりませんでした。

次の(一般的な)手順は、これを解決するのに役立ちます。

  1. Ubuntuリポジトリを有効にしていることを確認してください:

    すべてのリポジトリ(mainuniverserestrictedmultiverse)を有効にするには、次のコマンドを使用します。

    Sudo add-apt-repository main
    Sudo add-apt-repository universe
    Sudo add-apt-repository restricted
    Sudo add-apt-repository multiverse
    

    詳細については、 Help にアクセスしてください。

  2. 他のパッケージのPPAを見つけるには:

    • buntuパッケージ検索 に移動します。 (すでに this answerで説明されています)
    • 外部リポジトリについては、 buntu Updates にアクセスし、 screen ボタン。または PPAs にアクセスします。
    • または Launchpad ppa で検索
    • Ubuntuのリリースバージョンに応じて適切なppaを見つけます。
  3. PPAを追加(コマンドラインで)

    次のコマンドを使用します。

    Sudo add-apt-repository ppa:<repository-name>
    

    詳細については、 buntuコミュニティヘルプ をご覧ください。

  4. 更新することを忘れないでください(aptに変更を認識させる)

    リポジトリを変更した後、このコマンドを実行することが不可欠です。

    Sudo apt-get update
    

    best download server を選択すると、アップデートの速度が上がる場合があります。

  5. 最後にパッケージをインストールします:

    Sudo apt-get install <package>
    

    コマンドラインによるパッケージ管理 を参照してください。

    Additional/Tipapt-cache search <package-name>を使用して、正しいパッケージ名(リポジトリ内の名前)を見つけることができます。



:リポジトリでパッケージが利用できない場合、利用可能になるまで待つ必要があるよりも(新しい/更新されたバージョンの場合)またはapt-get以外のインストールプロセスを使用します。例ソースからのコンパイル、実行可能バイナリのダウンロードなど。

80
Pandya

xbmc は、Ubuntu 12.04(正確)以降でのみ niverseリポジトリ でのみ使用可能です。 Ubuntuの古いリリースを使用している場合は、アップグレードするか、別の場所からxbmcを取得する必要があります。

Ubuntu 12.04を使用している場合は、 ユニバースリポジトリで有効 を使用していることを確認してください。ファイル/etc/apt/sources.list(およびディレクトリ/etc/apt/sources.list.d内のファイル)で、有効にしたリポジトリを確認できます。このファイルに次のような行が含まれていることを確認してください

deb http://al.archive.ubuntu.com/ubuntu/ precise universe

または

deb http://zw.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse

次のような行だけを見つけた場合

deb http://mn.archive.ubuntu.com/ubuntu/ precise main restricted

universeの行がない場合、その行の最後にuniverseを追加するか、上記のようにprecise universeの別の行を追加します。

/etc/apt/sources.listを変更する必要がある場合は、後でSudo apt-get updateを実行してから、もう一度インストールしてください。それでもパッケージが見つからない場合は、/etc/apt/sources.listの完全なコンテンツとSudo apt-get updateの出力を投稿してください。

8
Gilles

私はUbuntuは初めてですが、この「パッケージを見つけることができません」というエラーを回避するための解決策を見つけたので、これを書いています。これがショックに発生する可能性がある3つの状況があります。

  1. Ubuntuをインストールした後、更新せずにアップグレードした場合、これが発生する可能性があります。
  2. 将来発生するソフトウェアアップデートが多数ある場合は、「pdate Manager」と入力して、すべての重要なセキュリティアップデート/推奨アップデートがオフになっていることを確認してください。 Alt+F2
  3. 問題1と2は、すべての更新を更新またはクリアした後でも発生する可能性があります。しかし、永遠の解決策は次のとおりです。ポイント1と2を試してからSudo apt-get killmanagerと入力し、機能しない場合はSudo apt-get updateと入力してからSudo apt-get upgradeと入力します。

これで、ターミナルを介してソフトウェアをインストールできるようになります。

5
Shaan Sundar

ファイルをインストールしようとした場合:

Sudo apt-get install libstdc++.so.6

パッケージの代わりに。エラーメッセージが表示されます。

E: Unable to locate package libstdc++.so.6
E: Couldn't find any package by regex 'libstdc++.so.6'

debianパッケージにあるため、インストールできないファイルlibstdc++.so.6をインストールしようとしたためです。

apt-fileを使用して、そのファイルを含むパッケージを検索できます。それをインストールするには、次を入力します。

Sudo apt-get install apt-file

次に、インデックスを更新する必要があります。

Sudo apt-file update

その後、ファイルlibstdc++.so.6を含むパッケージを検索できます。

Sudo apt-file find libstdc++.so.6

次に、検索されたファイルを含む多くのパッケージを見つけます。この例では、検索結果を1つだけ貼り付けます。

libstdc++6: /usr/lib/x86_64-linux-gnu/libstdc++.so.6

次に、必要なパッケージlibstdc++6をインストールできます。

Sudo apt-get install libstdc++6
5
BuZZ-dEE